Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyPackageDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyPackageDoc

All Implemented Interfaces:
  Comparable, GroovyDoc, GroovyPackageDoc

    public class SimpleGroovyPackageDoc

extends SimpleGroovyDoc
implements GroovyPackageDoc

Constructor Summary
`SimpleGroovyPackageDoc(String name)`

Method Summary
`GroovyClassDoc[]` | `allClasses()`
`GroovyClassDoc[]` | `allClasses(boolean arg0)`
`GroovyClassDoc[]` | `enums()`
`GroovyClassDoc[]` | `errors()`
`GroovyClassDoc[]` | `exceptions()`
`GroovyClassDoc` | `findClass(String arg0)`
`String` | `getRelativeRootPath()`
`GroovyClassDoc[]` | `interfaces()`
`String` | `nameWithDots()`
`GroovyClassDoc[]` | `ordinaryClasses()`
`void` | `putAll(Map classes)`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
`commentText, compareTo, firstSentenceCommentText, getDocUrl, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, replaceAllTags, setAsInterfaceDefinition, setRawCommentText, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc
`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### SimpleGroovyPackageDoc

    public SimpleGroovyPackageDoc(String name)

Method Detail

### allClasses

    public GroovyClassDoc[] allClasses()

  Specified by:
    `allClasses` in interface `GroovyPackageDoc`

### putAll

    public void putAll(Map classes)

### nameWithDots

    public String nameWithDots()

  Specified by:
    `nameWithDots` in interface `GroovyPackageDoc`

### allClasses

    public GroovyClassDoc[] allClasses(boolean arg0)

  Specified by:
    `allClasses` in interface `GroovyPackageDoc`

### enums

    public GroovyClassDoc[] enums()

  Specified by:
    `enums` in interface `GroovyPackageDoc`

### errors

    public GroovyClassDoc[] errors()

  Specified by:
    `errors` in interface `GroovyPackageDoc`

### exceptions

    public GroovyClassDoc[] exceptions()

  Specified by:
    `exceptions` in interface `GroovyPackageDoc`

### findClass

    public GroovyClassDoc findClass(String arg0)

  Specified by:
    `findClass` in interface `GroovyPackageDoc`

### interfaces

    public GroovyClassDoc[] interfaces()

  Specified by:
    `interfaces` in interface `GroovyPackageDoc`

### ordinaryClasses

    public GroovyClassDoc[] ordinaryClasses()

  Specified by:
    `ordinaryClasses` in interface `GroovyPackageDoc`

### getRelativeRootPath

    public String getRelativeRootPath()

  Specified by:
    `getRelativeRootPath` in interface `GroovyPackageDoc`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD